
CFM_BACKCOLOR           equ 04000000h  ;Added%%%%%%
CFM_LCID                equ 02000000h  ;Added%%%%%%
CFM_UNDERLINETYPE       equ 00800000h  ;Added%%%%%%       ;/* Many displayed by 3.0 */
CFM_WEIGHT              equ 00400000h
CFM_SPACING             equ 00200000h  ;Added%%%%%%       ;/* Displayed by 3.0 */
CFM_KERNING             equ 00100000h  ;Added%%%%%%       ;/* (*)    */
CFM_STYLE               equ 00080000h  ;Added%%%%%%       ;/* (*)    */
CFM_ANIMATION           equ 00040000h  ;Added%%%%%%       ;/* (*)    */
CFM_REVAUTHOR           equ 00008000h  ;Added%%%%%%

CFM_SMALLCAPS           equ 00000040h  ;Added%%%%%%       ;/* (*)    */
CFM_ALLCAPS             equ 00000080h  ;Added%%%%%%       ;/* Displayed by 3.0 */
CFM_HIDDEN              equ 00000100h  ;Added%%%%%%       ;/* Hidden by 3.0 */
CFM_OUTLINE             equ 00000200h  ;Added%%%%%%       ;/* (*)    */
CFM_SHADOW              equ 00000400h  ;Added%%%%%%       ;/* (*)    */
CFM_EMBOSS              equ 00000800h  ;Added%%%%%%       ;/* (*)    */
CFM_IMPRINT             equ 00001000h  ;Added%%%%%%       ;/* (*)    */
CFM_DISABLED            equ 00002000h  ;Added%%%%%%
CFM_REVISED             equ 00004000h  ;Added%%%%%%


SCF_DEFAULT             equ 0000h      ;Added%%%%%%
SCF_SELECTION           equ 0001h
SCF_WORD                equ 0002h
SCF_ALL                 equ 0004h      ;Added%%%%%%
SCF_SCF_USEUIRULES      equ 0008h      ;Added%%%%%%

CFU_CF1UNDERLINE        equ 0ffh       ;Added%%%%%%  /* map charformat's bit underline to CF2.*/
CFU_INVERT              equ 0feh       ;Added%%%%%%  /* For IME composition fake a selection.*/
CFU_UNDERLINEHAIRLINE   equ 10         ;Added%%%%%%  /* (*) displayed as ordinary underline  */
CFU_UNDERLINETHICK      equ 9          ;Added%%%%%%
CFU_UNDERLINEWAVE       equ 8          ;Added%%%%%%
CFU_UNDERLINEDASHDOTDOT equ 7          ;Added%%%%%%
CFU_UNDERLINEDASHDOT    equ 6          ;Added%%%%%%
CFU_UNDERLINEDASH       equ 5          ;Added%%%%%%
CFU_UNDERLINEDOTTED     equ 4          ;Added%%%%%%
CFU_UNDERLINEDOUBLE     equ 3          ;Added%%%%%%/* (*) displayed as ordinary underline  */
CFU_UNDERLINEWORD       equ 2          ;Added%%%%%%/* (*) displayed as ordinary underline  */
CFU_UNDERLINE           equ 1          ;Added%%%%%%
CFU_UNDERLINENONE       equ 0          ;Added%%%%%%


PFM_SPACEBEFORE         equ 00000040   ;Added%%%%%%
PFM_SPACEAFTER          equ 00000080   ;Added%%%%%%
PFM_LINESPACING         equ 00000100   ;Added%%%%%%
PFM_STYLE               equ 00000400   ;Added%%%%%%
PFM_BORDER              equ 00000800   ;Added%%%%%%
PFM_SHADING             equ 00001000   ;Added%%%%%%
PFM_NUMBERINGSTYLE      equ 00002000   ;Added%%%%%%     ;/* RE 3.0 */
PFM_NUMBERINGTAB        equ 00004000   ;Added%%%%%%     ;/* RE 3.0 */
PFM_NUMBERINGSTART      equ 00008000   ;Added%%%%%%     ;/* RE 3.0 */
PFM_RTLPARA             equ 00010000   ;Added%%%%%%
PFM_KEEP                equ 00020000   ;Added%%%%%%
PFM_KEEPNEXT            equ 00040000   ;Added%%%%%%
PFM_PAGEBREAKBEFORE     equ 00080000   ;Added%%%%%%
PFM_NOLINENUMBER        equ 00100000   ;Added%%%%%%
PFM_NOWIDOWCONTROL      equ 00200000   ;Added%%%%%%
PFM_DONOTHYPHEN         equ 00400000   ;Added%%%%%%
PFM_SIDEBYSIDE          equ 00800000   ;Added%%%%%%
PFM_TABLE               equ 40000000   ;Added%%%%%%     ;/* RE 3.0 */

; The following three properties are read only
PFM_COLLAPSED           equ 01000000   ;Added%%%%%%     ;/* RE 3.0 */
PFM_OUTLINELEVEL        equ 02000000   ;Added%%%%%%     ;/* RE 3.0 */
PFM_BOX                 equ 04000000   ;Added%%%%%%     ;/* RE 3.0 */


; -------------------------- richedit structures -----------------------------


;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
CHARFORMAT2 STRUCT
  cbSize            DWORD      ?  ;
;  _wPad1            WORD       ?  ;
  dwMask            DWORD      ?  ;
  dwEffects         DWORD      ?  ;
  yHeight           DWORD      ?  ;
  yOffset           DWORD      ?  ;             > 0 for superscript, < 0 for subscript
  crTextColor       DWORD      ?  ;
  bCharSet          BYTE       ?  ;
  bPitchAndFamily   BYTE       ?  ;
  szFaceName        BYTE LF_FACESIZE dup(?)
  _wPad2            WORD       ?  ;
  wWeight           WORD       ?  ;             Font weight (LOGFONT value)
  sSpacing          WORD       ?  ;             Amount to space between letters
  crBackColor       DWORD      ?  ;             Background color
  lcid              DWORD      ?  ;             Locale ID
  dwReserved        DWORD      ?  ;             Reserved. Must be 0
  sStyle            WORD       ?  ;             Style handle
  wKerning          WORD       ?  ;             Twip size above which to kern char pair
  bUnderlineType    BYTE       ?  ;             Underline type
  bAnimation        BYTE       ?  ;             Animated text like marching ants
  bRevAuthor        BYTE       ?  ;             Revision author index
  bReserved1        BYTE       ?  ;
CHARFORMAT2 ENDS
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PARAFORMAT2 STRUCT
  cbSize            DWORD    ?  ;
  dwMask            DWORD    ?  ;
  wNumbering        WORD     ?  ;
  wEffects          WORD     ?  ;
  dxStartIndent     DWORD    ?  ;
  dxRightIndent     DWORD    ?  ;
  dxOffset          DWORD    ?  ;
  wAlignment        WORD     ?  ;
  cTabCount         WORD     ?  ;
  rgxTabs           DWORD MAX_TAB_STOPS dup(?)
  dySpaceBefore     DWORD    ?  ;              Vertical spacing before para
  dySpaceAfter      DWORD    ?  ;              Vertical spacing after para
  dyLineSpacing     DWORD    ?  ;              Line spacing depending on Rule
  sStyle            WORD     ?  ;              Style handle
  bLineSpacingRule  BYTE     ?  ;              Rule for line spacing (see tom.doc)
  bOutlineLevel     BYTE     ?  ;              Outline Level
  wShadingWeight    WORD     ?  ;              Shading in hundredths of a per cent
  wShadingStyle     WORD     ?  ;              Byte 0: style, nib 2: cfpat, 3: cbpat
  wNumberingStart   WORD     ?  ;              Starting value for numbering
  wNumberingStyle   WORD     ?  ;              Alignment, Roman/Arabic, (), ), ., etc.
  wNumberingTab     WORD     ?  ;              Space bet 1st indent and 1st-line text
  wBorderSpace      WORD     ?  ;              Border-text spaces (nbl/bdr in pts)
  wBorderWidth      WORD     ?  ;              Pen widths (nbl/bdr in half twips)
  wBorders          WORD     ?  ;              Border styles (nibble/border)
PARAFORMAT2 ENDS
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
